#ifndef XAUDIOCHANNELMAPENTRY_H
#define XAUDIOCHANNELMAPENTRY_H

#include "xasset.h"

class XAudioChannelMapEntry : public XAsset
{
public:
    XAudioChannelMapEntry();
    ~XAudioChannelMapEntry();

    quint8 GetInputChannel() const;
    void SetInputChannel(quint8 aInputChannel);

    quint8 GetOutputChannel() const;
    void SetOutputChannel(quint8 aOutputChannel);

    float GetVolume() const;
    void SetVolume(float aVolume);

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint8 mInputChannel;
    quint8 mOutputChannel;
    float mVolume;
};

#endif // XAUDIOCHANNELMAPENTRY_H
